Index: modules/in-auction/install.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- modules/in-auction/install.php	(revision 15637)
+++ modules/in-auction/install.php	(revision )
@@ -10,34 +10,40 @@
 * and will be prosecuted to the maximum extent possible under the law
 * See http://www.in-portal.org/commercial-license for copyright notices and details.
 */
-	$module_folder = 'modules/in-auction';
+$module_folder = 'modules/in-auction';
 
-	if (!defined('IS_INSTALL')) {
+if ( !defined('IS_INSTALL') ) {
-		// separate module install
-		define('IS_INSTALL', 1);
-		define('ADMIN', 1);
+	// separate module install
+	define('IS_INSTALL', 1);
+	define('ADMIN', 1);
-		define('FULL_PATH', realpath(dirname(__FILE__) . '/../..') );
+	define('FULL_PATH', realpath(dirname(__FILE__) . '/../..'));
 
-		include_once(FULL_PATH . '/core/kernel/startup.php');
-		require_once FULL_PATH . '/core/install/install_toolkit.php';
+	include_once(FULL_PATH . '/core/kernel/startup.php');
+	require_once FULL_PATH . '/core/install/install_toolkit.php';
 
+	$constants_file = FULL_PATH . '/' . $module_folder . '/constants.php';
+
+	if ( file_exists($constants_file) ) {
+		require_once $constants_file;
+	}
+
-		$toolkit = new kInstallToolkit();
-	}
-	else {
-		// install, using installation wizard
-		$toolkit =& $this->toolkit;
-		/* @var $toolkit kInstallToolkit */
-	}
+	$toolkit = new kInstallToolkit();
+}
+else {
+	// install, using installation wizard
+	$toolkit =& $this->toolkit;
+	/* @var $toolkit kInstallToolkit */
+}
 
-	$application =& kApplication::Instance();
-	$application->Init();
+$application =& kApplication::Instance();
+$application->Init();
 
-	if ($application->RecallVar('user_id') != USER_ROOT) {
+if ( $application->RecallVar('user_id') != USER_ROOT ) {
-		die('restricted access!');
-	}
+	die('restricted access!');
+}
 
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql');
-	$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql');
+$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
 
-	$toolkit->finalizeModuleInstall(
\ No newline at end of file
+$toolkit->finalizeModuleInstall($module_folder, false);
\ No newline at end of file
Index: modules/in-news/install.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- modules/in-news/install.php	(revision 15637)
+++ modules/in-news/install.php	(revision )
@@ -11,42 +11,48 @@
 * or other free or open source software licenses.
 * See http://www.in-portal.org/license for copyright notices and details.
 */
-	$module_folder = 'modules/in-news';
+$module_folder = 'modules/in-news';
 
-	if (!defined('IS_INSTALL')) {
+if ( !defined('IS_INSTALL') ) {
-		// separate module install
-		define('IS_INSTALL', 1);
-		define('ADMIN', 1);
+	// separate module install
+	define('IS_INSTALL', 1);
+	define('ADMIN', 1);
-		define('FULL_PATH', realpath(dirname(__FILE__) . '/../..') );
+	define('FULL_PATH', realpath(dirname(__FILE__) . '/../..'));
 
-		include_once(FULL_PATH . '/core/kernel/startup.php');
-		require_once FULL_PATH . '/core/install/install_toolkit.php';
+	include_once(FULL_PATH . '/core/kernel/startup.php');
+	require_once FULL_PATH . '/core/install/install_toolkit.php';
 
+	$constants_file = FULL_PATH . '/' . $module_folder . '/constants.php';
+
+	if ( file_exists($constants_file) ) {
+		require_once $constants_file;
+	}
+
-		$toolkit = new kInstallToolkit();
-	}
-	else {
-		// install, using installation wizard
-		$toolkit =& $this->toolkit;
-		/* @var $toolkit kInstallToolkit */
-	}
+	$toolkit = new kInstallToolkit();
+}
+else {
+	// install, using installation wizard
+	$toolkit =& $this->toolkit;
+	/* @var $toolkit kInstallToolkit */
+}
 
-	$application =& kApplication::Instance();
-	$application->Init();
+$application =& kApplication::Instance();
+$application->Init();
 
-	if ($application->RecallVar('user_id') != USER_ROOT) {
+if ( $application->RecallVar('user_id') != USER_ROOT ) {
-		die('restricted access!');
-	}
+	die('restricted access!');
+}
 
-	$category =& $toolkit->createModuleCategory('News', 'News Articles', '#in-news/section_design#', 'in-news/img/menu_articles.gif');
+$category =& $toolkit->createModuleCategory('News', 'News Articles', '#in-news/section_design#', 'in-news/img/menu_articles.gif');
 
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql', '{NewsCatId}', $category->GetID());
-	$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql', '{NewsCatId}', $category->GetID());
+$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
 
-	$toolkit->SetModuleRootCategory(basename($module_folder), $category->GetID());
+$toolkit->SetModuleRootCategory(basename($module_folder), $category->GetID());
 
-	$toolkit->linkCustomFields(basename($module_folder), 'n', 2); // to create Custom Fields for News
-	$toolkit->linkCustomFields('KERNEL', 'c', 1); // to create ItemTemplate custom field
-	$toolkit->setModuleItemTemplate($category, 'n', '#in-news/item_design#');
+$toolkit->linkCustomFields(basename($module_folder), 'n', 2); // to create Custom Fields for News
+$toolkit->linkCustomFields('KERNEL', 'c', 1); // to create ItemTemplate custom field
+$toolkit->setModuleItemTemplate($category, 'n', '#in-news/item_design#');
 
-	$toolkit->finalizeModuleInstall(
\ No newline at end of file
+$toolkit->finalizeModuleInstall($module_folder, true);
Index: modules/in-link/install.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- modules/in-link/install.php	(revision 15637)
+++ modules/in-link/install.php	(revision )
@@ -11,42 +11,48 @@
 * or other free or open source software licenses.
 * See http://www.in-portal.org/license for copyright notices and details.
 */
-	$module_folder = 'modules/in-link';
+$module_folder = 'modules/in-link';
 
-	if (!defined('IS_INSTALL')) {
+if ( !defined('IS_INSTALL') ) {
-		// separate module install
-		define('IS_INSTALL', 1);
-		define('ADMIN', 1);
+	// separate module install
+	define('IS_INSTALL', 1);
+	define('ADMIN', 1);
-		define('FULL_PATH', realpath(dirname(__FILE__) . '/../..') );
+	define('FULL_PATH', realpath(dirname(__FILE__) . '/../..'));
 
-		include_once(FULL_PATH . '/core/kernel/startup.php');
-		require_once FULL_PATH . '/core/install/install_toolkit.php';
+	include_once(FULL_PATH . '/core/kernel/startup.php');
+	require_once FULL_PATH . '/core/install/install_toolkit.php';
 
+	$constants_file = FULL_PATH . '/' . $module_folder . '/constants.php';
+
+	if ( file_exists($constants_file) ) {
+		require_once $constants_file;
+	}
+
-		$toolkit = new kInstallToolkit();
-	}
-	else {
-		// install, using installation wizard
-		$toolkit =& $this->toolkit;
-		/* @var $toolkit kInstallToolkit */
-	}
+	$toolkit = new kInstallToolkit();
+}
+else {
+	// install, using installation wizard
+	$toolkit =& $this->toolkit;
+	/* @var $toolkit kInstallToolkit */
+}
 
-	$application =& kApplication::Instance();
-	$application->Init();
+$application =& kApplication::Instance();
+$application->Init();
 
-	if ($application->RecallVar('user_id') != USER_ROOT) {
+if ( $application->RecallVar('user_id') != USER_ROOT ) {
-		die('restricted access!');
-	}
+	die('restricted access!');
+}
 
-	$category =& $toolkit->createModuleCategory('Directory', 'Link Directory', '#in-link/section_design#', 'in-link/img/menu_links.gif');
+$category =& $toolkit->createModuleCategory('Directory', 'Link Directory', '#in-link/section_design#', 'in-link/img/menu_links.gif');
 
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql', '{LinkCatId}', $category->GetID());
-	$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql', '{LinkCatId}', $category->GetID());
+$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
 
-	$toolkit->SetModuleRootCategory(basename($module_folder), $category->GetID());
+$toolkit->SetModuleRootCategory(basename($module_folder), $category->GetID());
 
-	$toolkit->linkCustomFields(basename($module_folder), 'l', 4); // to create Custom Fields for Links
-	$toolkit->linkCustomFields('KERNEL', 'c', 1); // to create ItemTemplate custom field
-	$toolkit->setModuleItemTemplate($category, 'l', '#in-link/item_design#');
+$toolkit->linkCustomFields(basename($module_folder), 'l', 4); // to create Custom Fields for Links
+$toolkit->linkCustomFields('KERNEL', 'c', 1); // to create ItemTemplate custom field
+$toolkit->setModuleItemTemplate($category, 'l', '#in-link/item_design#');
 
-	$toolkit->finalizeModuleInstall(
\ No newline at end of file
+$toolkit->finalizeModuleInstall($module_folder, true);
Index: modules/custom/install.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- modules/custom/install.php	(revision 15637)
+++ modules/custom/install.php	(revision )
@@ -1,32 +1,38 @@
 <?php
-	$module_folder = 'modules/custom';
+$module_folder = 'modules/custom';
 
-	if (!defined('IS_INSTALL')) {
+if ( !defined('IS_INSTALL') ) {
-		// separate module install
-		define('IS_INSTALL', 1);
-		define('ADMIN', 1);
+	// separate module install
+	define('IS_INSTALL', 1);
+	define('ADMIN', 1);
-		define('FULL_PATH', realpath(dirname(__FILE__) . '/../..') );
+	define('FULL_PATH', realpath(dirname(__FILE__) . '/../..'));
 
-		include_once(FULL_PATH . '/core/kernel/startup.php');
-		require_once FULL_PATH . '/core/install/install_toolkit.php';
+	include_once(FULL_PATH . '/core/kernel/startup.php');
+	require_once FULL_PATH . '/core/install/install_toolkit.php';
 
+	$constants_file = FULL_PATH . '/' . $module_folder . '/constants.php';
+
+	if ( file_exists($constants_file) ) {
+		require_once $constants_file;
+	}
+
-		$toolkit = new kInstallToolkit();
-	}
-	else {
-		// install, using installation wizard
-		$toolkit =& $this->toolkit;
-		/* @var $toolkit kInstallToolkit */
-	}
+	$toolkit = new kInstallToolkit();
+}
+else {
+	// install, using installation wizard
+	$toolkit =& $this->toolkit;
+	/* @var $toolkit kInstallToolkit */
+}
 
-	$application =& kApplication::Instance();
-	$application->Init();
+$application =& kApplication::Instance();
+$application->Init();
 
-	if ($application->RecallVar('user_id') != USER_ROOT) {
+if ( $application->RecallVar('user_id') != USER_ROOT ) {
-		die('restricted access!');
-	}
+	die('restricted access!');
+}
 
-	$toolkit->RunSQL('/' . $module_folder  .'/install/install_schema.sql');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
-	$toolkit->RunSQL('/' . $module_folder  .'/install/install_data.sql');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql');
-	$toolkit->ImportLanguage('/' . $module_folder  .'/install/english');
+$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
 
-	$toolkit->finalizeModuleInstall(
\ No newline at end of file
+$toolkit->finalizeModuleInstall($module_folder, false);
\ No newline at end of file
Index: modules/in-commerce/install.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- modules/in-commerce/install.php	(revision 15637)
+++ modules/in-commerce/install.php	(revision )
@@ -10,43 +10,49 @@
 * and will be prosecuted to the maximum extent possible under the law
 * See http://www.in-portal.org/commercial-license for copyright notices and details.
 */
-	$module_folder = 'modules/in-commerce';
+$module_folder = 'modules/in-commerce';
 
-	if (!defined('IS_INSTALL')) {
+if ( !defined('IS_INSTALL') ) {
-		// separate module install
-		define('IS_INSTALL', 1);
-		define('ADMIN', 1);
+	// separate module install
+	define('IS_INSTALL', 1);
+	define('ADMIN', 1);
-		define('FULL_PATH', realpath(dirname(__FILE__) . '/../..') );
+	define('FULL_PATH', realpath(dirname(__FILE__) . '/../..'));
 
-		include_once(FULL_PATH . '/core/kernel/startup.php');
-		require_once FULL_PATH . '/core/install/install_toolkit.php';
+	include_once(FULL_PATH . '/core/kernel/startup.php');
+	require_once FULL_PATH . '/core/install/install_toolkit.php';
 
+	$constants_file = FULL_PATH . '/' . $module_folder . '/constants.php';
+
+	if ( file_exists($constants_file) ) {
+		require_once $constants_file;
+	}
+
-		$toolkit = new kInstallToolkit();
-	}
-	else {
-		// install, using installation wizard
-		$toolkit =& $this->toolkit;
-		/* @var $toolkit kInstallToolkit */
-	}
+	$toolkit = new kInstallToolkit();
+}
+else {
+	// install, using installation wizard
+	$toolkit =& $this->toolkit;
+	/* @var $toolkit kInstallToolkit */
+}
 
-	$application =& kApplication::Instance();
-	$application->Init();
+$application =& kApplication::Instance();
+$application->Init();
 
-	if ($application->RecallVar('user_id') != USER_ROOT) {
+if ( $application->RecallVar('user_id') != USER_ROOT ) {
-		die('restricted access!');
-	}
+	die('restricted access!');
+}
 
-	$category =& $toolkit->createModuleCategory('Products', 'Product Catalog', '#in-commerce/section_design#', 'in-commerce/img/menu_products.gif');
+$category =& $toolkit->createModuleCategory('Products', 'Product Catalog', '#in-commerce/section_design#', 'in-commerce/img/menu_products.gif');
 
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql', '{ProductCatId}', $category->GetID());
-	$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql', '{ProductCatId}', $category->GetID());
+$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
 
-	$toolkit->SetModuleRootCategory(basename($module_folder), $category->GetID());
+$toolkit->SetModuleRootCategory(basename($module_folder), $category->GetID());
 
-	$toolkit->linkCustomFields(basename($module_folder), 'p', 11); // to create Custom Fields for Products
-	$toolkit->linkCustomFields('KERNEL', 'u', 6); // to create shipping related Custom Fields for Users
-	$toolkit->linkCustomFields('KERNEL', 'c', 1); // to create ItemTemplate custom field
-	$toolkit->setModuleItemTemplate($category, 'p', '#in-commerce/item_design#');
+$toolkit->linkCustomFields(basename($module_folder), 'p', 11); // to create Custom Fields for Products
+$toolkit->linkCustomFields('KERNEL', 'u', 6); // to create shipping related Custom Fields for Users
+$toolkit->linkCustomFields('KERNEL', 'c', 1); // to create ItemTemplate custom field
+$toolkit->setModuleItemTemplate($category, 'p', '#in-commerce/item_design#');
 
-	$toolkit->finalizeModuleInstall(
\ No newline at end of file
+$toolkit->finalizeModuleInstall($module_folder, true);
Index: modules/in-bulletin/install.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- modules/in-bulletin/install.php	(revision 15637)
+++ modules/in-bulletin/install.php	(revision )
@@ -11,42 +11,48 @@
 * or other free or open source software licenses.
 * See http://www.in-portal.org/license for copyright notices and details.
 */
-	$module_folder = 'modules/in-bulletin';
+$module_folder = 'modules/in-bulletin';
 
-	if (!defined('IS_INSTALL')) {
+if ( !defined('IS_INSTALL') ) {
-		// separate module install
-		define('IS_INSTALL', 1);
-		define('ADMIN', 1);
+	// separate module install
+	define('IS_INSTALL', 1);
+	define('ADMIN', 1);
-		define('FULL_PATH', realpath(dirname(__FILE__) . '/../..') );
+	define('FULL_PATH', realpath(dirname(__FILE__) . '/../..'));
 
-		include_once(FULL_PATH . '/core/kernel/startup.php');
-		require_once FULL_PATH . '/core/install/install_toolkit.php';
+	include_once(FULL_PATH . '/core/kernel/startup.php');
+	require_once FULL_PATH . '/core/install/install_toolkit.php';
 
+	$constants_file = FULL_PATH . '/' . $module_folder . '/constants.php';
+
+	if ( file_exists($constants_file) ) {
+		require_once $constants_file;
+	}
+
-		$toolkit = new kInstallToolkit();
-	}
-	else {
-		// install, using installation wizard
-		$toolkit =& $this->toolkit;
-		/* @var $toolkit kInstallToolkit */
-	}
+	$toolkit = new kInstallToolkit();
+}
+else {
+	// install, using installation wizard
+	$toolkit =& $this->toolkit;
+	/* @var $toolkit kInstallToolkit */
+}
 
-	$application =& kApplication::Instance();
-	$application->Init();
+$application =& kApplication::Instance();
+$application->Init();
 
-	if ($application->RecallVar('user_id') != USER_ROOT) {
+if ( $application->RecallVar('user_id') != USER_ROOT ) {
-		die('restricted access!');
-	}
+	die('restricted access!');
+}
 
-	$category =& $toolkit->createModuleCategory('Forums', 'Discussion Forums', '#in-bulletin/section_design#', 'in-bulletin/img/menu_topics.gif');
+$category =& $toolkit->createModuleCategory('Forums', 'Discussion Forums', '#in-bulletin/section_design#', 'in-bulletin/img/menu_topics.gif');
 
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
-	$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql', '{TopicCatId}', $category->GetID());
-	$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_schema.sql');
+$toolkit->RunSQL('/' . $module_folder . '/install/install_data.sql', '{TopicCatId}', $category->GetID());
+$toolkit->ImportLanguage('/' . $module_folder . '/install/english');
 
-	$toolkit->SetModuleRootCategory(basename($module_folder), $category->GetID());
+$toolkit->SetModuleRootCategory(basename($module_folder), $category->GetID());
 
-//	$toolkit->linkCustomFields(basename($module_folder), 'bb', 3); // to create Custom Fields for Topics
+//$toolkit->linkCustomFields(basename($module_folder), 'bb', 3); // to create Custom Fields for Topics
-	$toolkit->linkCustomFields('KERNEL', 'c', 1); // to create ItemTemplate custom field
-	$toolkit->setModuleItemTemplate($category, 'bb', '#in-bulletin/item_design#');
+$toolkit->linkCustomFields('KERNEL', 'c', 1); // to create ItemTemplate custom field
+$toolkit->setModuleItemTemplate($category, 'bb', '#in-bulletin/item_design#');
 
-	$toolkit->finalizeModuleInstall(
\ No newline at end of file
+$toolkit->finalizeModuleInstall($module_folder, true);
